@import "./../../../../static/css/variables";

.topbar-area {
  display: flex;
  width: 100%;
  justify-content: space-between;
  align-items: center;
  padding: 4px 1rem;
  background: $color-grey-dark;
  border-bottom: 4px solid $color-yellow-dark;
  color: $color-white;
  .topbar-area-main-info {
    height: 100%;
    padding: 2px .25rem;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    .page-title {
      font-size: 28px;
      color: $color-white;
      text-transform: uppercase;
      font-weight: 600;
      line-height: 1;
      display: flex;
      align-items: center;
      white-space: nowrap;
      i {
        font-size: .85rem;
        color: lightgray;
      }
      img {
        height: auto;
        width: 92px;
      }
    }
  }
  .topbar-area-settings {
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
    width: 50%;
    min-width: 120px;
    ul.profile-menu {
      border-left: 1px solid #d3d3d330;
      padding-left: 0.5rem;
      li.dropdown {
        a.dropdown-toggle {
          padding: 0;
          color: $color-grey-light;
          transition: color ease-in-out 0.25s;
          &:hover {
            color: #f1f1f1;
          }
          i {}
        }
        ul.dropdown-menu{
          right: 0;
          left: unset;
          li {
            a {
              font-size: 1rem;
              cursor: pointer;
              i {
                margin-right: 10px;
              }
            }
          }
        }
      }
    }
    .user-info {
      display: flex;
      flex-direction: column;
      align-items: flex-end;
      justify-content: center;
      padding-right: .75rem;
      span {
        line-height: 1;
        &.user-name {
          font-size: 1.25rem;
          font-weight: 500;
          white-space: nowrap;
          overflow: hidden;
          text-overflow: ellipsis;
          max-width: 60vw;
        }
      }
    }
  }
}
